using System.Net;

namespace adas_core.Domain.Exceptions;

public class UserNotFoundException : BusinessException
{
    public UserNotFoundException(string username) :
        base(HttpStatusCode.NotFound, $"USER with username {username} not found")
    {
    }

    public UserNotFoundException(string username, Exception exception) : base(
        $"USER with username {username} not found", exception)
    {
    }
}